| Irrlicht 3D Engine |

Classes | Namespaces
IGUIElement.h File Reference
`#include "IAttributeExchangingObject.h"`
`#include "irrList.h"`
`#include "rect.h"`
`#include "irrString.h"`
`#include "IEventReceiver.h"`
`#include "EGUIElementTypes.h"`
`#include "EGUIAlignment.h"`
`#include "IAttributes.h"`

Go to the source code of this file.

## Classes

- class irr::gui::IGUIElement
    Base class of all GUI elements. More...

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::gui

    The gui namespace contains useful classes for easy creation of a graphical user interface.